<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1,maximum-scale=1,user-scalable=no" />
    <title>操作失败！</title>
    <style type="text/css">
        .btn {
            display: block;
            margin: 20px auto;
            padding: 5px;
            background-color: #007aff;
            border: 0;
            color: #ffffff;
            height: 40px;
            width: 200px;
            border-radius: 10px;
        }

        .btn-red {
            background-color: #dd524d;
        }

        .desc {
            color: #999999;
            text-align: center;
        }
        .img-code{
            /*margin: 10px auto;*/
            width: 100%;
        }
        .title{
            color: #dd524d;
            font-size: x-large;
            text-align: center;
        }
    </style>
</head>
<body>
<br><br>
<p class="title"><b>绑定失败！</b></p>
<img class="img-code" src="https://oss.bhynm.com/delivery/upload/2021/8/1/162779794958361.jpg" />
<p class="desc">订单提醒由公众号发送，您尚未关注“<span style="color: #dd524d">同城急送</span>”公众号，无法接收订单提醒，请先关注公众号后重新绑定！</p>
<div class="post-message-section">
    <!-- <p class="desc">网页向应用发送消息，注意：小程序端应用会在此页面后退时接收到消息。</p> -->
    <div class="btn-list">
        <button class="btn btn-red" type="button" id="id_goBackMp">返回小程序</button>
    </div>
</div>
<script type="text/javascript">
    let userAgent = navigator.userAgent;
    if (userAgent.indexOf('AlipayClient') > -1) {
        // 支付宝小程序的 JS-SDK 防止 404 需要动态加载，如果不需要兼容支付宝小程序，则无需引用此 JS 文件。
        document.writeln('<script src="https://appx/web-view.min.js"' + '>' + '<' + '/' + 'script>');
    } else if (/QQ/i.test(userAgent) && /miniProgram/i.test(userAgent)) {
        // QQ 小程序
        document.write(
            '<script type="text/javascript" src="https://qqq.gtimg.cn/miniprogram/webview_jssdk/qqjssdk-1.0.0.js"><\/script>'
        );
    } else if (/miniProgram/i.test(userAgent) && /micromessenger/i.test(userAgent)) {
        // 微信小程序 JS-SDK 如果不需要兼容微信小程序，则无需引用此 JS 文件。
        document.write('<script type="text/javascript" src="https://res.wx.qq.com/open/js/jweixin-1.4.0.js"><\/script>');
    } else if (/toutiaomicroapp/i.test(userAgent)) {
        // 头条小程序 JS-SDK 如果不需要兼容头条小程序，则无需引用此 JS 文件。
        document.write(
            '<script type="text/javascript" src="https://s3.pstatp.com/toutiao/tmajssdk/jssdk-1.0.1.js"><\/script>');
    } else if (/swan/i.test(userAgent)) {
        // 百度小程序 JS-SDK 如果不需要兼容百度小程序，则无需引用此 JS 文件。
        document.write(
            '<script type="text/javascript" src="https://b.bdstatic.com/searchbox/icms/searchbox/js/swan-2.0.18.js"><\/script>'
        );
    } else if (/quickapp/i.test(userAgent)) {
        // quickapp
        document.write('<script type="text/javascript" src="https://quickapp/jssdk.webview.min.js"><\/script>');
    }
    if (!/toutiaomicroapp/i.test(userAgent)) {
        document.querySelector('.post-message-section').style.visibility = 'visible';
    }
</script>
<!-- uni 的 SDK -->
<script type="text/javascript" src="https://oss.bhynm.com/delivery/upload/2022/3/25/164817293468857.js"></script>
<script type="text/javascript">
    // 待触发 `UniAppJSBridgeReady` 事件后，即可调用 uni 的 API。
    document.addEventListener('UniAppJSBridgeReady', function() {
        document.getElementById('id_goBackMp').addEventListener('click', function(evt){
            uni.redirectTo({
                url: '/pages/index/index'
            });
        });
    });
</script>
</body>
</html>